Subject: Re: [PATCH 6/6] Makefile: add a INSTALL_FALLBACK_LN_CP mode

From: Junio C Hamano <[email-masked]>
Date: Wed, 31 Mar 2021 11:45:13 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> So I would understand if there are two orthogonal knobs
>>
>>  - the order of preference (e.g. hardlink > symlink > copy)
>>  - which ones are allowed (e.g. "no symlinks please")
>>
>> but I cannot quite imagine how a system without any fallback would
>> be useful.
>
> Because with explicit knobs I'd like to tell it what to do and not have
> it auto-guess.

So how would I explicitly tell "I want hardlinks for everything
else, but use cp when going between /usr/bin and /usr/libexec"
(because /usr/bin and /usr/libexec is not on the same filesystem
on this particular box---I'll tell you to use hardlink everywhere
on another box of mine where they reside on the same filesystem)?

Your argument or analogy with openssl does not make much sense to me
in this case.